#   Copyright (C) 2023-2024 Credit Mutuel Arkea
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.
#
"""Model for creating OpenSearchTermParams."""

from pydantic import BaseModel, Field


class OpenSearchTermParams(BaseModel):
    """The OpenSearch term param. Used to perform a Boolean query.
    https://opensearch.org/docs/latest/query-dsl/compound/bool/"""

    term: dict = Field(
        description='A key-value object',
        examples=[{'metadata.id': 'abc-123'}],
        default={},
    )
